commit:     aea1a69a5dae783cccfe1d3f513e5d090188a279
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Mon Jan 22 13:01:18 2024 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Mon Jan 22 13:01:18 2024 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=aea1a69a

sci-biology/SPAdes: add 3.15.5

Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-biology/SPAdes/SPAdes-3.15.5.ebuild | 38 +++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/sci-biology/SPAdes/SPAdes-3.15.5.ebuild 
b/sci-biology/SPAdes/SPAdes-3.15.5.ebuild
new file mode 100644
index 000000000..b6d344c37
--- /dev/null
+++ b/sci-biology/SPAdes/SPAdes-3.15.5.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+inherit python-single-r1
+
+DESCRIPTION="De novo de Bruijn genome assembler overcoming uneven coverage"
+HOMEPAGE="https://cab.spbu.ru/software/spades";
+SRC_URI="
+       https://github.com/ablab/spades/releases/download/v${PV}/${P}.tar.gz
+       https://cab.spbu.ru/files/release${PV}/manual.html -> ${P}_manual.html
+       https://cab.spbu.ru/files/release${PV}/rnaspades_manual.html -> 
${P}_rnaspades_manual.html
+       https://cab.spbu.ru/files/release${PV}/truspades_manual.html -> 
${P}_truspades_manual.html
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+# Fails to build:
+# https://github.com/ablab/spades/issues/1238
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+       sys-libs/zlib
+       app-arch/bzip2
+       dev-python/regex
+       ${PYTHON_DEPS}
+"
+RDEPEND="${DEPEND}"
+BDEPEND="dev-build/cmake"
+
+src_install(){
+       einstalldocs
+       # WORKAROUND: This script does both compile and install in one go
+       PREFIX="${ED}"/usr ./spades_compile.sh || die
+}

Reply via email to